<?php
$tdatacollection_data = array();
$tdatacollection_data[".searchableFields"] = array();
$tdatacollection_data[".ShortName"] = "collection_data";
$tdatacollection_data[".OwnerID"] = "user";
$tdatacollection_data[".OriginalTable"] = "collection data";


$tdatacollection_data[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatacollection_data[".originalPagesByType"] = $tdatacollection_data[".pagesByType"];
$tdatacollection_data[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatacollection_data[".originalPages"] = $tdatacollection_data[".pages"];
$tdatacollection_data[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatacollection_data[".originalDefaultPages"] = $tdatacollection_data[".defaultPages"];

//	field labels
$fieldLabelscollection_data = array();
$fieldToolTipscollection_data = array();
$pageTitlescollection_data = array();
$placeHolderscollection_data = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelscollection_data["English"] = array();
	$fieldToolTipscollection_data["English"] = array();
	$placeHolderscollection_data["English"] = array();
	$pageTitlescollection_data["English"] = array();
	$fieldLabelscollection_data["English"]["pay_date"] = "Pay Date";
	$fieldToolTipscollection_data["English"]["pay_date"] = "";
	$placeHolderscollection_data["English"]["pay_date"] = "";
	$fieldLabelscollection_data["English"]["total_amount"] = "Total Amount";
	$fieldToolTipscollection_data["English"]["total_amount"] = "";
	$placeHolderscollection_data["English"]["total_amount"] = "";
	$fieldLabelscollection_data["English"]["user"] = "User";
	$fieldToolTipscollection_data["English"]["user"] = "";
	$placeHolderscollection_data["English"]["user"] = "";
	if (count($fieldToolTipscollection_data["English"]))
		$tdatacollection_data[".isUseToolTips"] = true;
}


	$tdatacollection_data[".NCSearch"] = true;



$tdatacollection_data[".shortTableName"] = "collection_data";
$tdatacollection_data[".nSecOptions"] = 1;

$tdatacollection_data[".mainTableOwnerID"] = "user";
$tdatacollection_data[".entityType"] = 6;
$tdatacollection_data[".connId"] = "easy_cash_at_localhost";


$tdatacollection_data[".strOriginalTableName"] = "collection data";

	



$tdatacollection_data[".showAddInPopup"] = false;

$tdatacollection_data[".showEditInPopup"] = false;

$tdatacollection_data[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatacollection_data[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatacollection_data[".listAjax"] = false;
//	temporary
$tdatacollection_data[".listAjax"] = false;

	$tdatacollection_data[".audit"] = false;

	$tdatacollection_data[".locking"] = false;


$pages = $tdatacollection_data[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatacollection_data[".edit"] = true;
	$tdatacollection_data[".afterEditAction"] = 1;
	$tdatacollection_data[".closePopupAfterEdit"] = 1;
	$tdatacollection_data[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatacollection_data[".add"] = true;
$tdatacollection_data[".afterAddAction"] = 1;
$tdatacollection_data[".closePopupAfterAdd"] = 1;
$tdatacollection_data[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatacollection_data[".list"] = true;
}



$tdatacollection_data[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatacollection_data[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatacollection_data[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatacollection_data[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatacollection_data[".printFriendly"] = true;
}



$tdatacollection_data[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatacollection_data[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatacollection_data[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatacollection_data[".isUseAjaxSuggest"] = true;

$tdatacollection_data[".rowHighlite"] = true;



																								

$tdatacollection_data[".ajaxCodeSnippetAdded"] = false;

$tdatacollection_data[".buttonsAdded"] = false;

$tdatacollection_data[".addPageEvents"] = false;

// use timepicker for search panel
$tdatacollection_data[".isUseTimeForSearch"] = false;


$tdatacollection_data[".badgeColor"] = "9ACD32";


$tdatacollection_data[".allSearchFields"] = array();
$tdatacollection_data[".filterFields"] = array();
$tdatacollection_data[".requiredSearchFields"] = array();

$tdatacollection_data[".googleLikeFields"] = array();
$tdatacollection_data[".googleLikeFields"][] = "pay_date";
$tdatacollection_data[".googleLikeFields"][] = "user";
$tdatacollection_data[".googleLikeFields"][] = "total_amount";




$tdatacollection_data[".printerPageOrientation"] = 0;
$tdatacollection_data[".nPrinterPageScale"] = 100;

$tdatacollection_data[".nPrinterSplitRecords"] = 40;

$tdatacollection_data[".geocodingEnabled"] = false;










$tdatacollection_data[".pageSize"] = 20;

$tdatacollection_data[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatacollection_data[".strOrderBy"] = $tstrOrderBy;

$tdatacollection_data[".orderindexes"] = array();


$tdatacollection_data[".sqlHead"] = "";
$tdatacollection_data[".sqlFrom"] = "";
$tdatacollection_data[".sqlWhereExpr"] = "";
$tdatacollection_data[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatacollection_data[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatacollection_data[".arrGroupsPerPage"] = $arrGPP;

$tdatacollection_data[".highlightSearchResults"] = true;

$tableKeyscollection_data = array();
$tdatacollection_data[".Keys"] = $tableKeyscollection_data;


$tdatacollection_data[".hideMobileList"] = array();




//	pay_date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "pay_date";
	$fdata["GoodName"] = "pay_date";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("collection_data","pay_date");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "pay_date";

	
		$fdata["FullName"] = "pay_date";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacollection_data["pay_date"] = $fdata;
		$tdatacollection_data[".searchableFields"][] = "pay_date";
//	user
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "user";
	$fdata["GoodName"] = "user";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("collection_data","user");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "user";

	
		$fdata["FullName"] = "user";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacollection_data["user"] = $fdata;
		$tdatacollection_data[".searchableFields"][] = "user";
//	total_amount
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "total_amount";
	$fdata["GoodName"] = "total_amount";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("collection_data","total_amount");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "total_amount";

	
		$fdata["FullName"] = "total_amount";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacollection_data["total_amount"] = $fdata;
		$tdatacollection_data[".searchableFields"][] = "total_amount";


$tables_data["collection data"]=&$tdatacollection_data;
$field_labels["collection_data"] = &$fieldLabelscollection_data;
$fieldToolTips["collection_data"] = &$fieldToolTipscollection_data;
$placeHolders["collection_data"] = &$placeHolderscollection_data;
$page_titles["collection_data"] = &$pageTitlescollection_data;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["collection data"] = array();
//	View
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="View";
		$detailsParam["dOriginalTable"] = "View";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "view";
	$detailsParam["dCaptionTable"] = GetTableCaption("View");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["collection data"][$dIndex] = $detailsParam;

	
		$detailsTablesData["collection data"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["collection data"][$dIndex]["masterKeys"][]="pay_date";

	$detailsTablesData["collection data"][$dIndex]["masterKeys"][]="user";

				$detailsTablesData["collection data"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["collection data"][$dIndex]["detailKeys"][]="pay_date";

		
	$detailsTablesData["collection data"][$dIndex]["detailKeys"][]="user";

// tables which are master tables for current table (detail)
$masterTablesData["collection data"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once( getabspath( "include/collection_data_ops.php" ) );



	
		;

			

$tdatacollection_data[".sqlquery"] = $queryData_collection_data;



$tableEvents["collection data"] = new eventsBase;
$tdatacollection_data[".hasEvents"] = false;

?>